/*
	File:		ProcessMap.r

	Contains:	Resources for ProcessMap

	Owned by:	Reggie Adkins

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	  3/8/95	JS		Updated to b1c13/c14
		 <1>	  2/2/95	RA		first checked in

		 <0>	PartMaker source by Eric Soldan, Tantek elik, Jens Alfke
*/

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#ifndef __TYPES_R__
#include "Types.r"
#endif

#include "CodeFragmentTypes.r"

#ifndef __STDTYPES_R__
#include "StdTypes.r"
#endif

//----------------------------------------------------------------------------------------

#ifdef PowerPC

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"SomethingGood::ProcessMap",
		/* [2] */
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ProcessMap"
	}
};

#else

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"SomethingGood::ProcessMap",
		/* [2] */
		kMotorola,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"ProcessMap"
	}
};

#endif

//----------------------------------------------------------------------------------------
// nmap resources
//----------------------------------------------------------------------------------------

resource 'nmap' (128) {
	"KindCategories",
	{	/* array KeyList: 1 elements */
		/* [1] */
		"SomethingGood:Kind:ProcessMap",
		kODIsAnISOStringList {
			{	/* array ValueList: 1 elements */
				/* [1] */
				"SomethingGood:Category:ProcessMap"
			}
		}
	}
};

resource 'nmap' (129) {
	"EditorKinds",
	{	/* array KeyList: 1 elements */
		/* [1] */
		"SomethingGood::ProcessMap",
		kODIsAnISOStringList {
			{	/* array ValueList: 1 elements */
				/* [1] */
				"SomethingGood:Kind:ProcessMap"
			}
		}
	}
};

resource 'nmap' (130) {
	"EditorUserString",
	{	/* array KeyList: 1 elements */
		/* [1] */
		"SomethingGood::ProcessMap",
		kODIsINTLText {
			0,
			0,
			"ProcessMap 1.0"
		}
	}
};

resource 'nmap' (131) {
	"KindUserString",
	{	/* array KeyList: 1 elements */
		/* [1] */
		"SomethingGood:Kind:ProcessMap",
		kODIsINTLText {
			0,
			0,
			"ProcessMap Kind"
		}
	}
};

resource 'nmap' (132) {
	"CategoryUserString",
	{	/* array KeyList: 1 elements */
		/* [1] */
		"SomethingGood:Category:ProcessMap",
		kODIsINTLText {
			0,
			0,
			"ProcessMap Category"
		}
	}
};

resource 'nmap' (133) {
	"KindOldMacOSType",
	{	/* array KeyList: 1 elements */
		/* [1] */
		"SomethingGood:Kind:ProcessMap",
		kODIsMacOSType {
			'GEEK'
		}
	}
};

//----------------------------------------------------------------------------------------
// Resources that are better maintained with ResEdit/Resorcerer
//----------------------------------------------------------------------------------------

Include "ProcessMap.ResEdit";

